Mark a presigned upload as complete.
curl --request POST \
--url https://api.nebyoulous.space/uploads/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeBytes": 4503599627370495,
"checksum": "<string>",
"generatePreview": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sizeBytes: 4503599627370495,
checksum: '<string>',
generatePreview: true
})
};
fetch('https://api.nebyoulous.space/uploads/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/uploads/complete"
payload = {
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeBytes": 4503599627370495,
"checksum": "<string>",
"generatePreview": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PRESIGNED",
"sizeBytes": 123
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Uploads
Mark a presigned upload as complete.
POST
/
uploads
/
complete
Mark a presigned upload as complete.
curl --request POST \
--url https://api.nebyoulous.space/uploads/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeBytes": 4503599627370495,
"checksum": "<string>",
"generatePreview": true
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assetId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sizeBytes: 4503599627370495,
checksum: '<string>',
generatePreview: true
})
};
fetch('https://api.nebyoulous.space/uploads/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/uploads/complete"
payload = {
"assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sizeBytes": 4503599627370495,
"checksum": "<string>",
"generatePreview": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "PRESIGNED",
"sizeBytes": 123
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Body
application/json
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Required range:
0 <= x <= 9007199254740991Maximum string length:
256Response
Default Response